<?php
include "conecta.php";
include "ver_sessao.php";


function modifica_servico(){
	
	global $a_mod;
	$a_mod = carregar('servico',$_POST[id]);
	
	layout_servico();
	exit;
	
}


function excluir_servico(){
	
	remover('servico',$_POST[id]);
		
	index();
	exit;
	
}


function cadastra_servico(){

	$campos=array('serv_tx_nome','serv_tx_valorDia','serv_tx_valorMes','serv_tx_status','serv_tx_tipo','serv_nb_profissao','serv_tx_codigo');
	$valor=array($_POST[nome],valor($_POST[valorDia]),valor($_POST[valorMes]),ativo,$_POST[tipo],$_POST[profissao],$_POST[codigo]);
	
	if($_POST[id])
		atualizar('servico',$campos,$valor,$_POST[id],'','','');
	else{
		inserir('servico',$campos,$valor,1);
		$_POST[id] = ultimo_reg('servico');
	}

	//CADASTRAR PRODUTO PARA O PLANO
	$id_plano = $_POST[id_plano];
	$valorPlano = $_POST[valorPlano];
	$total = count($id_plano);
	
	
	// CASO VENHA DO MODIFICAR
	for($i=0; $i<$total; $i++){
			
		$sql_mod = selecionar('preco,servico,planosaude','prec_tx_status,serv_nb_id,prec_nb_planosaude',"!inativo,$_POST[id],$id_plano[$i]");
		
		//SE NAO FOR CADASTRADO NENHUM VALOR PARA O PLANO ESPECIFICADO ENTAO PEGA O PRECO GERAL. 
		if($valorPlano[$i] == '')
			$valorPlano[$i] = $_POST[valor];

		if($id_plano[$i]==1)
			atualizar('servico','serv_tx_valorDia',valor($valorPlano[$i]),$_POST[id]);

		
		$campos = array(prec_nb_servico,prec_nb_planosaude,prec_tx_valorUnit,prec_tx_status);
		$valores = array($_POST[id],$id_plano[$i],valor($valorPlano[$i]),ativo);
			
		if( num_linhas($sql_mod) == 0){
			inserir('preco',$campos,$valores,1);
		} else {
			
			$a_mod = carrega_array($sql_mod);
			atualizar('preco',$campos,$valores,$a_mod[prec_nb_id]);
		}
	}	


}


function layout_servico(){
	global $a_mod;
	
	
	cabecalho('Cadastro de Procedimentos',2);
	
	cactux::abre_form('');
	
	
	$c[]=cactux::campo('Procedimento:','nome',$a_mod[serv_tx_nome],4);
	$c[]=cactux::combo('Tipo:','tipo',array('1 profissional','2 Profissionais'),$a_mod[serv_tx_tipo],2);
	$c[]=cactux::combo_bd('!Categoria E-PAD:','profissao',$a_mod[serv_nb_profissao],$a_mod[serv_nb_profissao],2,'profissao');
	// $c[]=cactux::campo('Valor:','valorDia',mostra_valor($a_mod[serv_tx_valorDia]),2, MASCARA_VALOR);
	//$c[]=cactux::campo('Valor Mensal:','valorMes',mostra_valor($a_mod[serv_tx_valorMes]),2, MASCARA_VALOR);
	$c[] = cactux::campo('Código:','codigo',$a_mod[serv_tx_codigo],2);
	
	
	
	cactux::abre_fieldset('Informações do Procedimento');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);


	$sql = selecionar('planosaude','plan_tx_status','!inativo');
	$total = num_linhas($sql);

	
	// CASO VENHA DO MODIFICAR
	if( $_POST[acao] == 'modifica_servico') 
		$sql_mod = selecionar('preco,servico','serv_nb_id',"$_POST[id]");
	else
		$sql_mod = selecionar('preco,servico','serv_nb_id','0');
		
	for($i=0; $i<$total; $i++){
		$a_plano = carrega_array($sql);
		
		$sql_mod = selecionar('preco,servico,planosaude','prec_tx_status,serv_nb_id,prec_nb_planosaude',"!inativo,$_POST[id],$a_plano[plan_nb_id]");
		if(num_linhas($sql_mod)>0)
			$a_mod1 = carrega_array($sql_mod);
		else
			$a_mod1='';

		if($a_plano[plan_nb_id]==1 && mostra_valor($a_mod1[prec_tx_valorUnit],1) == '0,00' && $_POST[id] ){
			$a_serv=carregar('servico',$_POST[id]);
			$a_mod1[prec_tx_valorUnit] = $a_serv[serv_tx_valorDia];
		}

		
		
		$d1 = cactux::texto('Plano de Saúde:',$a_plano[plan_tx_nome],2);
		$d2 = cactux::campo('Valor Unitário:','valorPlano[]',mostra_valor($a_mod1[prec_tx_valorUnit]),2,MASCARA_VALOR);
		
		campo_hidden('id_plano[]',$a_plano[plan_nb_id]);
		
		cactux::linha_fieldset($d1,$d2);
	}


	$botao2=cactux::botao('Voltar',2,'voltar');
	$botao=cactux::botao_submit('Gravar',2,'cadastra_servico','id',"$_POST[id]");
	
	
	cactux::linha_fieldset($botao2,$botao);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	acao_botao('voltar','index');
}

function layout_imprimir(){
	

	if( $_POST[busca_cod] )
		$extra .= " AND serv_nb_id = '$_POST[busca_cod]'";
	if( $_POST[busca_nome] )
		$extra .= " AND serv_tx_nome LIKE '%$_POST[busca_nome]%'";
		
	cabecaRelatorio('Cadastro de Procedimentos',2);
	
	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_nome'],5);
	
	
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	acao_botao('inserir','layout_servico');
	acao_botao('imprimir','layout_imprimir');
	
	$sql=selecionar('servico',"serv_tx_status","!inativo"," $extra ORDER BY serv_tx_nome");
	
	while($a=carrega_array($sql)){
	
		$modificar = ".icone_modificar($a[0],modifica_servico)";
		$excluir= ".icone_excluir($a[0],excluir_servico)";
	
		$valores[]=array($a[serv_nb_id],$a[serv_tx_nome],"R$ ". mostra_valor($a[serv_tx_valorDia]),"R$ ". mostra_valor($a[serv_tx_valorMes]));
	
	}
	
	
	$cabecalho[]=array('CÓD','NOME','VALOR DIARIA','VALOR MENSAL');
	$cabecalho[]='c,e,c,c,c,c,c';
	$cabecalho[]='5%,,25%,25%';
	$cabecalho[]='98%';
	
	
	echo"<br>";
	grid::gerar($cabecalho,$valores);

}

function index(){
	
	if( $_POST[busca_cod] )
		$extra .= " AND serv_nb_id = '$_POST[busca_cod]'";
	if( $_POST[busca_nome] )
		$extra .= " AND serv_tx_nome LIKE '%$_POST[busca_nome]%'";
		
	cabecalho('Cadastro de Procedimentos',2);
	
	cactux::abre_form('');
	
	$c[]=cactux::campo('Código:','busca_cod','',1);
	$c[]=cactux::campo('Nome:','busca_nome','',5);
	
	$status=cactux::msg_status();
	
	$botao=cactux::botao_submit_busca('Buscar',2,'index');
	$botao2=cactux::botao('Inserir',2,'inserir');
	$botao3=cactux::botao('Imprimir',2,'imprimir');
	
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($botao,$botao2,$botao3,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	acao_botao('inserir','layout_servico');
	acao_botao('imprimir','layout_imprimir','','','','','target=_blank');
	
	$sql=selecionar('servico',"serv_tx_status","!inativo"," $extra ORDER BY serv_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',15);
	
	while($a=carrega_array($BUSCA[0])){
	
		$modificar = ".icone_modificar($a[0],modifica_servico)";
		$excluir= ".icone_excluir($a[0],excluir_servico)";
	
		$valores[]=array($a[serv_nb_id],$a[serv_tx_nome],"R$ ". mostra_valor($a[serv_tx_valorDia]),$modificar,$excluir);
	
	}
	
	//$cabecalho[]=array('CÓD','NOME','VALOR DIARIA','VALOR MENSAL','','');
	$cabecalho[]=array('CÓD','NOME','VALOR','','');
	$cabecalho[]='c,e,c,c,c,c,c';
	$cabecalho[]='5%,,25%,2%,2%';
	
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA); 	
	
}


CONTROLE();
?>